# IO_LinearInterpolator.cpp File Reference

`#include <osgParticle/LinearInterpolator>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/Output>`

Include dependency graph for IO_LinearInterpolator.cpp:

## Functions

bool | LinearInterpolator_readLocalData (osg::Object &obj, osgDB::Input &fr)
bool | LinearInterpolator_writeLocalData (const osg::Object &obj, osgDB::Output &fw)

## Variables

osgDB::RegisterDotOsgWrapperProxy | LinearInterpolator_Proxy (new osgParticle::LinearInterpolator,"LinearInterpolator","Object Interpolator LinearInterpolator", LinearInterpolator_readLocalData, LinearInterpolator_writeLocalData)

## Function Documentation

bool LinearInterpolator_readLocalData | ( | osg::Object & | obj,
|  | osgDB::Input & | fr
| ) |

bool LinearInterpolator_writeLocalData | ( | const osg::Object & | obj,
|  | osgDB::Output & | fw
| ) |

## Variable Documentation

osgDB::RegisterDotOsgWrapperProxy LinearInterpolator_Proxy(new osgParticle::LinearInterpolator,"LinearInterpolator","Object Interpolator LinearInterpolator", LinearInterpolator_readLocalData, LinearInterpolator_writeLocalData)